/* -------------------------------- */
/* --------  PAGE CONTACT  -------- */
/* -------------------------------- */

.section-contactform {
  padding-left: 4vw;
  padding-right: 4vw;
  display: grid;
  grid-template-columns: 1fr 1fr;
}

/* Formulaire */
.contact-form-grid {
  max-width: 880px;
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 1.25rem;
  row-gap: 1rem;
}
.grid-item-full-width {
  grid-column: 1 / -1;
}
.contact-form-grid :is(input:not([type="checkbox"],[type="submit"]),select,textarea) {
  width: 100%;
  padding: 1.25rem;
  border: none;
  color: var(--color-black);
  font-size: 1.25rem;
}
.contact-form-grid :is(input:not([type="checkbox"],[type="submit"]),select,textarea)::placeholder {
  color: var(--color-blue);
}
.contact-form-grid .wpcf7-acceptance .wpcf7-list-item {
  margin-left: 0;
}
.contact-form-grid .wpcf7-acceptance label {
  display: flex;
  align-items: baseline;
  gap: 1.25rem;
}
.contact-form-grid input[type="submit"] {
  display: block;
  margin-left: auto;
  border: none;
}
.contact-form-grid input[type="submit"]:disabled {
  opacity: .7;
}

/* Colonne de droite */
.section-contactform-block {
  justify-self: center;
}
.section-contactform_image {
  width: min(50vw,500px);
  max-height: 600px;
  margin: auto;
  border-radius: 1rem 1rem 0 0;
}
.section-contactform-content {
  width: min(100%,590px);
  padding: 2rem 4rem;
  background-color: var(--color-white);
  border-radius: 1rem;
  box-shadow: 0 0 4rem #00000021;
}
.section-contactform-content_entreprise {
  font-weight: bold;
}
.section-contactform-content address {
  font-weight: 600;
  line-height: 2;
}
.section-contactform-content hr {
  max-width: 130px;
  height: 2px;
  margin: 0 0 1rem 0;
  background: linear-gradient(to right, #00000020, transparent);
  border: none;
}
.section-contactform-content > div {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 2rem;
}
.section-contactform-content_horaires {
  line-height: 2;
}
.section-contactform-content__tel {
  margin-top: 1rem;
}
.section-contactform-content__tel .btn--footer {
  margin-right: 0;
}
@media (max-width: 1200px) {
  .section-contactform {
    grid-template-columns: 1fr;
  }
  .contact-form-grid {
    grid-template-columns: 1fr;
    row-gap: 0;
  }
  .contact-form-grid :is(input:not([type="checkbox"],[type="submit"]),select,textarea) {
    padding: .5rem;
    font-size: 1rem;
  }
  .wpcf7-list-item-label {
    padding-bottom: 1rem;
    font-size: .8rem;
  }
  .section-contactform_image {
    width: 100%;
    max-height: 300px;
    object-position: bottom;
  }
  .section-contactform-content {
    padding: 1rem;
    border-radius: 0 0 1rem 1rem;
  }
  .section-contactform-content > div {
    row-gap: 0;
  }
}
